package xyz.stachel.zombiesutils.game;

import net.minecraft.client.MinecraftClient;
import net.minecraft.text.Text;
import org.apache.commons.lang3.exception.ExceptionUtils;
import org.jetbrains.annotations.NotNull;
import xyz.stachel.zombiesutils.ZombiesUtils;

import java.io.File;

class Game extends Timer {
  private final boolean joinedRoundOne;
  private int round;
  private final File gameFile;
  private String category;
  public final GameMode mode;

  public Game(@NotNull final GameFile gameFile, @NotNull final GameMode mode) {
    super();
    this.gameFile = gameFile;
    this.round = 1;
    this.joinedRoundOne = true;
    this.mode = mode;
  }

  public Game(@NotNull final GameFile gameFile, @NotNull final GameMode mode, final int round) {
    super();
    this.gameFile = gameFile;
    this.round = round;
    this.joinedRoundOne = round == 1;
    this.mode = mode;
  }

  public void pass(int round) {
    if ((round == 0) || (this.round == round + 1) || (this.roundTime() < 100)) {
      ZombiesUtils.LOGGER.debug("SPLIT CANCELLED");
      return;
    }
    try {
//      record();
    } catch (Exception e) {
      ZombiesUtils.LOGGER.error(ExceptionUtils.getStackTrace(e));
      MinecraftClient.getInstance().player.sendMessage(Text.of("Error recording splits"), false);
    }
    this.split();
    this.round = round + 1;
  }

  public long split(final int round) {
    if (round == 1) {

    }
    return super.split();
  }
}
